org.richfaces.fragment.inplaceSelect

## Class RichFacesInplaceSelect.AdvancedInplaceSelectInteractions

- java.lang.Object
- - org.richfaces.fragment.inplaceSelect.RichFacesInplaceSelect.AdvancedInplaceSelectInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesInplaceSelect

      public class RichFacesInplaceSelect.AdvancedInplaceSelectInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedInplaceSelectInteractions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getActiveClass()`
    `org.openqa.selenium.WebElement` | `getCancelButtonElement()`
    `protected String` | `getChangedClass()`
    `String` | `getClassForState(InplaceComponentState state)`
    `org.openqa.selenium.WebElement` | `getConfirmButtonElement()`
    `org.openqa.selenium.WebElement` | `getEditInputElement()`
    `protected org.openqa.selenium.WebElement` | `getGlobalList()`
    `org.openqa.selenium.WebElement` | `getLabelInputElement()`
    `String` | `getLabelValue()`
    `protected org.openqa.selenium.WebElement` | `getLocalList()`
    `List<org.openqa.selenium.WebElement>` | `getOptions()`
    `protected String` | `getOptionsClass()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `org.openqa.selenium.WebElement` | `getSelectedOption()`
    `long` | `getTimeoutForPopupToHide()`
    `long` | `getTimeoutForPopupToShow()`
    `boolean` | `isInState(InplaceComponentState state)`
    `boolean` | `isSaveOnSelect()`
    `boolean` | `isVisible()`
    `void` | `setEditByEvent()`
    `void` | `setEditByEvent(Event event)`
    `void` | `setSaveOnSelect(boolean saveOnSelect)`
    `void` | `setTimeoutForPopupToHide(long timeoutInMilliseconds)`
    `void` | `setTimeoutForPopupToShow(long timeoutInMilliseconds)`
    `void` | `switchToEditingState()`
    `WaitingWrapper` | `waitForPopupToHide()`
    `WaitingWrapper` | `waitForPopupToShow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedInplaceSelectInteractions

          public AdvancedInplaceSelectInteractions()

  - ### Method Detail

    - #### getChangedClass

          protected String getChangedClass()

    - #### getActiveClass

          protected String getActiveClass()

    - #### getOptionsClass

          protected String getOptionsClass()

    - #### setEditByEvent

          public void setEditByEvent()

    - #### setEditByEvent

          public void setEditByEvent(Event event)

    - #### setSaveOnSelect

          public void setSaveOnSelect(boolean saveOnSelect)

    - #### getGlobalList

          protected org.openqa.selenium.WebElement getGlobalList()

    - #### getLocalList

          protected org.openqa.selenium.WebElement getLocalList()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### switchToEditingState

          public void switchToEditingState()

    - #### setTimeoutForPopupToHide

          public void setTimeoutForPopupToHide(long timeoutInMilliseconds)

    - #### setTimeoutForPopupToShow

          public void setTimeoutForPopupToShow(long timeoutInMilliseconds)

    - #### getOptions

          public List<org.openqa.selenium.WebElement> getOptions()

    - #### isInState

          public boolean isInState(InplaceComponentState state)

    - #### getClassForState

          public String getClassForState(InplaceComponentState state)

    - #### getLabelValue

          public String getLabelValue()

    - #### getEditInputElement

          public org.openqa.selenium.WebElement getEditInputElement()

    - #### getLabelInputElement

          public org.openqa.selenium.WebElement getLabelInputElement()

    - #### getCancelButtonElement

          public org.openqa.selenium.WebElement getCancelButtonElement()

    - #### getConfirmButtonElement

          public org.openqa.selenium.WebElement getConfirmButtonElement()

    - #### getSelectedOption

          public org.openqa.selenium.WebElement getSelectedOption()

    - #### getTimeoutForPopupToHide

          public long getTimeoutForPopupToHide()

    - #### getTimeoutForPopupToShow

          public long getTimeoutForPopupToShow()

    - #### isSaveOnSelect

          public boolean isSaveOnSelect()

    - #### waitForPopupToHide

          public WaitingWrapper waitForPopupToHide()

    - #### waitForPopupToShow

          public WaitingWrapper waitForPopupToShow()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.